<?php
		if ($textmessage == 'ویس'  and $commanda == 'none'){
			   file_put_contents ("data/admin/commanda.txt",'voice');
			   sendAction ($from_id,'typing');
			   Saeed ('sendMessage',[
			   'chat_id'=>$from_id,
			   'text'=>"بخش تنظیمات ویس ها",
			   'reply_markup'=>json_encode([
			   'resize_keyboard'=>true,
			   'one_time_keyboard'=>true,
			   'keyboard'=>[
				[['text'=>'افزودن ویس ➕'],['text'=>'حذف ویس ➖']],
				[['text'=>'حذف همه ویس ها 🔴']],
				[['text'=>'برگشت 🔙']]
			   ]
			   ])
			   ]);
		}
        if ($commanda == 'voice'){
			if ($textmessage == 'افزودن ویس ➕'){
				file_put_contents ("data/admin/commanda.txt",'addvoice');
				sendAction ($from_id,'typing');
				Saeed ('sendMessage',[
					'chat_id'=>$from_id,
					'parse_mode'=>'Markdown',
					'text'=>"ویس ها را ارسال کنید و سپس دکمه برگشت به تنظیمات ویس را بزنید.",
					'reply_markup'=>json_encode([
						'resize_keyboard'=>true,
						'one_time_keyboard'=>true,
						'keyboard'=>[
							[['text'=>'برگشت به تنظیمات ویس']]
						]
					])
				]);
			}elseif($textmessage == 'حذف ویس ➖'){
				file_put_contents ("data/admin/commanda.txt",'remvoice');
				sendAction ($from_id,'typing');
				Saeed ('sendMessage',[
					'chat_id'=>$from_id,
					'parse_mode'=>'Markdown',
					'text'=>"ویس هایی که می خواهید حذف شوند را ارسال کنید و سپس تنظیمات ویس را بزنید.",
					'reply_markup'=>json_encode([
						'resize_keyboard'=>true,
						'one_time_keyboard'=>true,
						'keyboard'=>[
							[['text'=>'برگشت به تنظیمات ویس']]
						]
					])
				]);	
			}elseif($textmessage == 'حذف همه ویس ها 🔴'){
				file_put_contents ("data/admin/commanda.txt",'remvoiceall');
				sendAction ($from_id,'typing');
				Saeed ('sendMessage',[
					'chat_id'=>$from_id,
					'parse_mode'=>'Markdown',
					'text'=>"آیا مطمئن هستید تمام ویس های ذخیره شده پاک شود؟",
					'reply_markup'=>json_encode([
						'inline_keyboard'=>[
							[['text'=>'آره 👍🏻','callback_data'=>'remvoiceall'],['text'=>'نه 👎🏻','callback_data'=>'nremvoiceall']]
						]
					])
				]);	
			}
		}
        if ($textmessage == "برگشت به تنظیمات ویس"){
			file_put_contents ("data/admin/commanda.txt",'voice');
			sendAction ($from_id,'typing');
			Saeed ('sendMessage',[
				'chat_id'=>$from_id,
				'text'=>"بخش تنظیمات ویس ها",
				'reply_markup'=>json_encode([
					'resize_keyboard'=>true,
					'one_time_keyboard'=>true,
					'keyboard'=>[
						[['text'=>'افزودن ویس ➕'],['text'=>'حذف ویس ➖']],
						[['text'=>'حذف همه ویس ها 🔴']],
						[['text'=>'برگشت 🔙']]
					]
				])
			]);
		}
        if ($commanda == 'addvoice'){
			if (isset($voice_id)){
				mkdir ("data/admin/media");
				$voice = file_get_contents('data/admin/media/voice.txt');
				$voices = explode(",",$voice);
				if (!in_array($voice_id,$voices)){
					$add_voice = file_get_contents('data/admin/media/voice.txt');
					$add_voice .= $voice_id.",";
					file_put_contents('data/admin/media/voice.txt',$add_voice);
				}
				sendAction($chat_id,'typing');
				Saeed('sendMessage',[
					'chat_id'=>$chat_id,
					'text'=>"با موفقیت افزوده شد ویس بعدی را ارسال کنید تا افزوده شود یا دکمه برگشت به تنظیمات ویس را بزنید.",
					'reply_markup'=>json_encode([
						'resize_keyboard'=>true,
						'one_time_keyboard'=>true,
						'keyboard'=>[
							[['text'=>"برگشت به تنظیمات ویس"]]
						]
					])
				]);
			}
		}elseif ($commanda == 'remvoice'){
			if (isset($voice_id)){
				$voice = file_get_contents('data/admin/media/voice.txt');
				$voices = explode(",",$voice);
				if (in_array($voice_id,$voices)){
					$add_voice = file_get_contents('data/admin/media/voice.txt');
					$add_voice = str_replace($voice_id.",","",$add_voice);
					file_put_contents('data/admin/media/voice.txt',$add_voice);
				}
				sendAction ($chat_id,'typing');
				Saeed('sendMessage',[
					'chat_id'=>$chat_id,
					'text'=>'با موفقیت حذف شد ویس بعدی را ارسال کنید تا حذف شود یا دکمه برگشت به تنظیمات ویس را بزنید.',
					'reply_markup'=>json_encode([
						'resize_keyboard'=>true,
						'one_time_keyboard'=>true,
						'keyboard'=>[
							[['text'=>"برگشت به تنظیمات ویس"]]
						]
					])
				]);
			}
		}
        if ($data == "remvoiceall"){
			file_put_contents("data/admin/media/voice.txt","");
			sendAction ($chat_id2,'typing');
			Saeed('sendMessage',[
				'chat_id'=>$chat_id2,
				'text'=>'همه پیس ها حذف شدند.',
				'reply_markup'=>json_encode([
					'resize_keyboard'=>true,
					'one_time_keyboard'=>true,
					'keyboard'=>[
						[['text'=>"برگشت به تنظیمات ویس"]]
					]
				])
			]);
		}
        if ($data == "nremvoiceall"){
			sendAction ($chat_id2,'typing');
			Saeed('sendMessage',[
				'chat_id'=>$chat_id2,
				'text'=>'چیزی پاک نشد.',
				'reply_markup'=>json_encode([
					'resize_keyboard'=>true,
					'one_time_keyboard'=>true,
					'keyboard'=>[
						[['text'=>'برگشت 🔙']]
					]
				])
			]);
		}


?>